function BlockCacher(option) {
	$.extend(this, options);
}

BlockCacher.blockCache = [];

BlockCacher.addBlock = function(obj) {
	this.blockCache.push(obj);
}

BlockCacher.getBlockByIndex = function(idx) {
	for(var i = 0 ; i<this.blockCache.length;i++) {
		var o = this.blockCache[i];
		if (o.index == idx) return o;
	}
}

BlockCacher.getBlockByUuid = function(uuid) {
	for(var i = 0 ; i<this.blockCache.length;i++) {
		var o = this.blockCache[i];
		if (o.uuid == uuid) return o;
	}
}
